.p-index-preview {
	size: 100% 625px;
	position: relative;
	background-color: var(--color-main);
	color: #ffffff;

	& .l-navigation-container {
		position: absolute * * 0 0;
		width: 100%;
		min-height: 81px;

		@media (--mobile) {
			bottom: auto;
			top: 0;
		}
	}

	& .l-navigation {
		position: absolute * * 0 0;

		&.active {
			bottom: -57px;

			@media (--tablet-only) {
				bottom: -114px;
			}
		}

		@media (--mobile) {
			bottom: auto !important;
			top: 0;

			&.active {
				max-height: 100vh;
				overflow-x: hidden;
				overflow-y: scroll;
			}
		}
	}

	@media (--tablet-only) {
		height: 690px;
	}

	@media (--mobile) {
		height: 410px;
	}
}

.p-index-preview__background {
	position: absolute 0 * * 0;
	overflow: hidden;
	size: 100%;

	& canvas {
		position: absolute 0 * * 0;
		size: 110% 100%;
	}
}

.p-index-preview__container {
	height: 100%;
	position: relative;
	size: 840px 100%;
	overflow: hidden;

	@media (--tablet-horizontal-only) {
		width: 740px;
	}

	@media (--tablet-vertical-only) {
		width: 640px;
	}

	@media (--mobile) {
		width: 280px;
	}
}

.p-index-preview__slider {
	size: 100%;
	transition: transform .4s ease 0s;
	white-space: nowrap;
	font-size: 0;
}

.p-index-preview__slide {
	position: relative;
	size: 100%;
	display: inline-block;
	vertical-align: top;
	white-space: normal;
}

.p-index-preview__image {
	width: 300px;
	overflow: hidden;
	position: absolute * * 105px 0;

	& img {
		max-width: 100%;
	}

	@media (--tablet-horizontal-only) {
		bottom: 165px;
	}

	@media (--tablet-vertical-only) {
		width: 190px;
		bottom: 190px;
	}

	@media (--mobile) {
		bottom: 155px;
		width: 95px;
	}
}

.p-index-preview__description {
	width: 500px;
	position: absolute * * 135px 340px;

	@media (--tablet-horizontal-only) {
		bottom: 200px;
		width: 410px;
	}

	@media (--tablet-vertical-only) {
		width: 400px;
		bottom: 220px;
		left: 245px;
	}

	@media (--mobile) {
		bottom: 100px;
		width: 160px;
		left: 120px;
	}
}

.p-index-preview__caption {
	margin: 0 0 24px;
	text: 800 14px 14px nowrap;

	@media (--mobile) {
		text: 12px 12px;
		margin-bottom: 8px;
	}
}

.p-index-preview__title {
	margin: 0 0 25px;
	text: 800 55px 55px;

	@media (--mobile) {
		text: 28px 1.1;
		margin-bottom: 11px;
	}
}

.p-index-preview__price {
	margin: 0 0 10px;
	text: 800 21px 1.2;
}

.p-index-preview__button {
	height: 40px;
	padding: 0 32px;
	border-radius: 2px;
	overflow: hidden;
	border: 1px solid #ffffff;
	text: #ffffff 800 center 14px 38px nowrap;

	@media (--mobile) {
		width: 160px;
		padding: 0;
	}
}

/* Pagination */
.p-index-preview__pagination {
	position: absolute * * 105px 340px;
	list-style: none;
	padding: 0;
	margin: 0;

	@media (--tablet-horizontal-only) {
		bottom: 165px;
	}

	@media (--tablet-vertical-only) {
		left: 50%;
		bottom: 125px;
		transform: translateX(-50%);
	}

	@media (--mobile) {
		left: 50%;
		bottom: 45px;
		transform: translateX(-50%);
	}
}

.p-index-preview__pagination-item {
	&:not(:last-child) {
		margin-right: 8px;
	}
}

.p-index-preview__pagination-button {
	size: 10px;
	border-radius: 100%;
	border: 1px solid #ffffff;
	opacity: .2;
	transition:
		background-color .3s ease 0s,
		opacity .3s ease 0s;

	&.active,
	&:hover {
		opacity: 1;
		background-color: #ffffff;
	}
}

/* Next/prev */
.p-index-preview__prev,
.p-index-preview__next {
	size: 60px;
	border-radius: 100%;
	border: 1px solid #ffffff;
	position: absolute 50% * * *;
	margin-top: calc(60px / 2 * -1);

	& svg {
		position: absolute 50% * * *;
		transform: translateY(-50%);
		fill: #ffffff;
		size: 22px;
	}

	@media (--tablet-vertical-only) {
		margin-top: 0;
		top: auto;
		bottom: 100px;
	}

	@media (--mobile) {
		margin-top: 0;
		top: auto;
		bottom: 21px;
		border: 0;
	}
}

.p-index-preview__prev {
	left: 40px;

	@media (--mobile) {
		left: 0;
	}
}

.p-index-preview__prev svg {left: 16px;}

.p-index-preview__next {
	right: 40px;

	@media (--mobile) {
		right: 0;
	}
}

.p-index-preview__next svg {left: 19px;}
